{% extends 'rk3399-rock-pi-4b.jinja2' %}

{# can be removed after lava 2023.04 #}
{% set boot_character_delay = boot_character_delay|default('10') %}
{% set test_character_delay = test_character_delay|default('10') %}

{% set connection_list = ['uart1'] %}
{% set connection_commands = {'uart1': 'telnet lngmaster.lnglab 7502'} %}
{% set connection_tags = {'uart1': ['primary', 'telnet']} %}

{% set hard_reset_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command reboot --port 12 --delay 20' %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command on --port 12' %}
{% set power_off_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command off --port 12' %}

{# FIXME replace the sleeps with something better #}
{% set flasher_deploy_commands = [
     "usbsdmux /dev/usb-sd-mux/id-000000001232 host",
     "sleep 5",
     "dd if={IMAGE} of=/dev/disk/by-id/usb-LinuxAut_sdmux_HS-SD_MMC_000000001232-0:0 bs=1M oflag=sync conv=nocreat,notrunc status=progress",
     "sync",
     "usbsdmux /dev/usb-sd-mux/id-000000001232 dut",
     "sleep 5",
  ]
%}
{% set sync_to_lava = {'device_type': 'rk3399-rock-pi-4b', 'worker': 'lngmaster.lnglab' } %}
